Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class RouteOfAdministrationWithStandardsType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.RouteOfAdministrationWithStandardsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:50:02+02:00",
               comments="JAXB RI v2.3.6")
    public class RouteOfAdministrationWithStandardsType

extends Object
implements Serializable

Java class for RouteOfAdministrationWithStandardsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RouteOfAdministrationWithStandardsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="StandardRoute" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultStandardRouteType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RouteOfAdministrationWithStandardsType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`List<ConsultStandardRouteType>` | `getStandardRoutes()` Gets the value of the standardRoutes property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouteOfAdministrationWithStandardsType

    public RouteOfAdministrationWithStandardsType()

Method Detail

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getStandardRoutes

    public List<ConsultStandardRouteType> getStandardRoutes()

  Gets the value of the standardRoutes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardRoutes property.

  For example, to add a new item, do as follows:

          getStandardRoutes().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultStandardRouteType`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.